View Issue Details

IDProjectCategoryView StatusLast Update
0007169GNUnetGNSpublic2022-02-26 23:10
Reporterschanzen Assigned Toschanzen  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionGit master 
Target Version0.16.0Fixed in Version0.16.0 
Summary0007169: New GNS record flag: CRITICAL
DescriptionWe need to implement the new flag.

In particular in: namestore (+CLI?), zonemaster and GNS.
Tagslsd0001

Activities

schanzen

2022-02-03 18:12

manager   ~0018681

Fix committed to master branch.

schanzen

2022-02-26 23:10

manager   ~0018727

0.16.0 released

Related Changesets

gnunet: master 3d72be07

2022-02-03 18:12:10

schanzen

Details Diff
GNS: Introduce CRITICAL flag. Fixes 0007169 Affected Issues
0007169
mod - contrib/gana Diff File
mod - src/gns/gnunet-service-gns_resolver.c Diff File
mod - src/gns/plugin_gnsrecord_gns.c Diff File
mod - src/gnsrecord/gnsrecord.c Diff File
mod - src/gnsrecord/plugin_gnsrecord_dns.c Diff File
mod - src/gnsrecord/test_gnsrecord_testvectors.c Diff File
mod - src/include/gnunet_gnsrecord_lib.h Diff File
mod - src/include/gnunet_gnsrecord_plugin.h Diff File
mod - src/namestore/gnunet-service-namestore.c Diff File
mod - src/zonemaster/gnunet-service-zonemaster.c Diff File

Issue History

Date Modified Username Field Change
2022-02-03 13:06 schanzen New Issue
2022-02-03 13:06 schanzen Status new => assigned
2022-02-03 13:06 schanzen Assigned To => schanzen
2022-02-03 13:06 schanzen Tag Attached: lsd0001
2022-02-03 18:12 schanzen Changeset attached => gnunet master 3d72be07
2022-02-03 18:12 schanzen Note Added: 0018681
2022-02-03 18:12 schanzen Status assigned => resolved
2022-02-03 18:12 schanzen Resolution open => fixed
2022-02-22 23:06 schanzen Fixed in Version => 0.16.0
2022-02-26 23:10 schanzen Note Added: 0018727
2022-02-26 23:10 schanzen Status resolved => closed